# Other Creatures of Hereva

## Ants

## Argiope

## Canary (Posh, Zombie)

## Dragon Cow

## Dragon Drake

## Dragon Moose

## Fairies

## Fish (Giant)

## Fisher Owls

## Genie of Success

## Golems

### Theorem

## Guardians

## Old Sylvan

## Phanda

## Phoenix

## Spider Admins


